Summary:	A steganography program
Name:		steghide
Version:	0.5.1
Release:	%mkrel 16
License:	GPLv2+
Group:		Security
URL:		http://steghide.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		steghide-0.5.1-gcc34.patch
Patch1:		steghide-0.5.1-gcc4.diff
Patch2:		steghide-0.5.1-passphrase-file.diff
Patch3:		steghide-0.5.1-gcc4_1.diff
Patch4:		steghide-0.5.1-libtool.diff
Patch5:		steghide-0.5.1-gcc43.patch
Patch6:		steghide-0.5.1-automake-1.13.patch
BuildRequires:	autoconf2.5
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	gettext-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libmcrypt-devel >= 2.5.8
BuildRequires:	libmhash-devel
BuildRequires:	libtool
BuildRequires:	libtool-devel
BuildRequires:	zlib-devel

%description
Steghide is a steganography program which embeds a secret message
in a cover file by replacing some of the least significant bits of
the cover file with bits of the secret message. After that, the
secret message is imperceptible and can only be extracted with the
correct passphrase. To increase invisibility the hidden bits are
encrypted (using the blowfish encryption algorithm) and
pseudo-randomly spreaded in the stego file. Steghide is able to
embed data in BMP, WAV and AU files.

%prep

%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1
%patch5 -p1 
%patch6 -p1 -b .automake-1_13

%build
rm -f configure
libtoolize --force --copy --install; aclocal -I m4; autoheader; automake --add-missing --copy -f --foreign; autoconf
#touch NEWS ChangeLog AUTHORS

%configure2_5x

%make

%check
make check

%install

%makeinstall_std

# add the html docs
rm -rf html; cp -r doc/doxygen/html .

# fix this
rm -rf %{buildroot}%{_datadir}/doc

%find_lang %{name}

%files -f %{name}.lang
%doc BUGS CREDITS HISTORY INSTALL README TODO html
%{_bindir}/steghide
%{_mandir}/man1/steghide.1*




%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.5.1-16.mga3
+ Revision: 383421
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 cjw <cjw> 0.5.1-15.mga3
+ Revision: 344533
- patch6: fix build with automake 1.13

* Mon Oct 29 2012 malo <malo> 0.5.1-14.mga3
+ Revision: 311342
- spec clean-up
- update RPM group

* Sun Jan 09 2011 kharec <kharec> 0.5.1-13.mga3
+ Revision: 1420
- imported package steghide

